cmake_minimum_required(VERSION 3.5)
project(is11lib)
if (MSVC)
    # 静态链接多线程版本的运行时库
    set(CMAKE_CXX_FLAGS "/MT")
    set(CMAKE_C_FLAGS "/MT")

endif()
include_directories(../../src/test)
include_directories(../../src/IRIS_IS3)
include_directories(../../src/comman)
include_directories(../../src/is11)

add_library(is11lib SHARED

        ../../src/test/test.cpp
        ../../src/is11/SensorIS11.cpp
        ../../src/is11/SensorIS11.h
        ../../src/is11/IS11Comon.cpp
        ../../src/is11/IS11Comon.h
        ../../src/is11/IS11_INST.cpp
        ../../src/is11/IS11_INST.h

)


set(CMAKE_WINDOWS_EXPORT_ALL_SYMBOLS ON)


add_executable(is11test
        testmain.cpp
)
target_link_libraries(is11test is11lib)
